#ifndef  MAIN_CONTROL_CONFIGURATION_H_
#define MAIN_CONTROL_CONFIGURATION_H_

#include "hardware_defines.h"

#ifndef MAIN_CONTROL_NUM_MOTORS
#define MAIN_CONTROL_NUM_MOTORS						6	// Currently 5 fingers + misc (wrist, thumb abduction, ...)
#endif
#if MAIN_CONTROL_NUM_MOTORS > 6
#error "Take care the grasp definitions will need rewriting if you run it for more than 6 motors"
#endif


#ifndef MAIN_CONTROL_USE_ENDSTOP_FOR_END
#define MAIN_CONTROL_USE_ENDSTOP_FOR_END			0
#endif
#ifndef MAIN_CONTROL_USE_ENDSTOP_FOR_REFINE
#define MAIN_CONTROL_USE_ENDSTOP_FOR_REFINE			0
#endif
#ifndef MAIN_CONTROL_ADAPT_CURRENT_BASED_ON_GEAR
#define MAIN_CONTROL_ADAPT_CURRENT_BASED_ON_GEAR	0
#endif
#ifndef MAIN_CONTROL_ADAPT_VELOCITY_BASED_ON_GEAR
#define MAIN_CONTROL_ADAPT_VELOCITY_BASED_ON_GEAR	1
#endif
#ifndef MAIN_CONTROL_VELOCITY_LIMIT
#define MAIN_CONTROL_VELOCITY_LIMIT					2500
#endif
#ifndef MAIN_CONTROL_VELOCITY_LOWER_LIMIT
#define MAIN_CONTROL_VELOCITY_LOWER_LIMIT			500
#endif
#ifndef MAIN_CONTROL_CURRENT_LIMIT_POSITION_CONTROL
#define MAIN_CONTROL_CURRENT_LIMIT_POSITION_CONTROL	0.3f
#endif
#ifndef MAIN_CONTROL_CURRENT_LIMIT_CURRENT_CONTROL
#define MAIN_CONTROL_CURRENT_LIMIT_CURRENT_CONTROL	1.0f
#endif
#ifndef MAIN_CONTROL_SPEED_FACTOR_NUM_STEPS
#define MAIN_CONTROL_SPEED_FACTOR_NUM_STEPS			101
#endif
#ifndef MAIN_CONTROL_CURRENT_FACTOR_NUM_STEPS
#define MAIN_CONTROL_CURRENT_FACTOR_NUM_STEPS		101
#endif


#endif // MAIN_CONTROL_CONFIGURATION_H_